<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="9,00"
	Name="randlib_f2c"
	ProjectGUID="{BB8D4E6F-F09E-49FC-8BCB-9F496F639F60}"
	RootNamespace="randlib_f2c"
	Keyword="Win32Proj"
	TargetFrameworkVersion="0"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
		<Platform
			Name="x64"
		/>
	</Platforms>
	<ToolFiles>
		<ToolFile
			RelativePath="..\..\..\..\Visual-Studio-settings\f2c.rules"
		/>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			>
			<Tool
				Name="f2c rule"
				ExecutionBucket="1"
			/>
			<Tool
				Name="VCPreBuildEventTool"
				Description="Build Dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)randlib_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)randlib.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
				ExecutionBucket="2"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
				ExecutionBucket="4"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				ExecutionBucket="5"
			/>
			<Tool
				Name="VCCLCompilerTool"
				ExecutionBucket="6"
				Optimization="0"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;RANDLIB_F2C_EXPORTS;FORDLL"
				MinimalRebuild="true"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
				ExecutionBucket="7"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				ExecutionBucket="8"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Build randlib_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n randlib_f.dll %%f &gt;nul&#x0D;&#x0A;copy *.def randlib_f.def &gt;nul&#x0D;&#x0A;copy randlib_f.def ..\randlib_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;copy randlib_f_header.def+randlib_f.vcdef randlib_f.def &gt;nul&#x0D;&#x0A;"
				ExecutionBucket="9"
			/>
			<Tool
				Name="VCLinkerTool"
				ExecutionBucket="10"
				AdditionalOptions="/fixed:no"
				AdditionalDependencies="Libscilab.lib randlib.lib"
				OutputFile="$(SolutionDir)bin\randlib_f.dll"
				LinkIncremental="2"
				ModuleDefinitionFile="randlib_f.def"
				GenerateDebugInformation="true"
				SubSystem="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
				ExecutionBucket="11"
			/>
			<Tool
				Name="VCManifestTool"
				ExecutionBucket="12"
			/>
			<Tool
				Name="VCXDCMakeTool"
				ExecutionBucket="13"
			/>
			<Tool
				Name="VCBscMakeTool"
				ExecutionBucket="14"
			/>
			<Tool
				Name="VCFxCopTool"
				ExecutionBucket="15"
			/>
			<Tool
				Name="VCPostBuildEventTool"
				ExecutionBucket="17"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
		</Configuration>
		<Configuration
			Name="Debug|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="Build Dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)randlib_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)randlib.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="f2c rule"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;RANDLIB_F2C_EXPORTS;FORDLL"
				MinimalRebuild="true"
				BasicRuntimeChecks="0"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Build randlib_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n randlib_f.dll %%f &gt;nul&#x0D;&#x0A;copy *.def randlib_f.def &gt;nul&#x0D;&#x0A;copy randlib_f.def ..\randlib_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;copy randlib_f_header.def+randlib_f.vcdef randlib_f.def &gt;nul&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalOptions="/fixed:no"
				AdditionalDependencies="Libscilab.lib randlib.lib"
				OutputFile="$(SolutionDir)bin\randlib_f.dll"
				LinkIncremental="2"
				ModuleDefinitionFile="randlib_f.def"
				GenerateDebugInformation="true"
				SubSystem="2"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="17"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="Build Dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)randlib_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X86 /OUT:&quot;$(InputDir)randlib.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="f2c rule"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				WholeProgramOptimization="false"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;RANDLIB_F2C_EXPORTS;FORDLL"
				RuntimeLibrary="2"
				EnableEnhancedInstructionSet="0"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Build randlib_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n randlib_f.dll %%f &gt;nul&#x0D;&#x0A;copy *.def randlib_f.def &gt;nul&#x0D;&#x0A;copy randlib_f.def ..\randlib_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;copy randlib_f_header.def+randlib_f.vcdef randlib_f.def &gt;nul&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="Libscilab.lib randlib.lib"
				OutputFile="$(SolutionDir)bin\randlib_f.dll"
				LinkIncremental="1"
				ModuleDefinitionFile="randlib_f.def"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				LinkTimeCodeGeneration="0"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="1"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|x64"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
				Description="Build Dependencies"
				CommandLine="lib /DEF:&quot;$(InputDir)LibScilab_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)LibScilab.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;lib /DEF:&quot;$(InputDir)randlib_Import.def&quot; /SUBSYSTEM:WINDOWS /MACHINE:X64 /OUT:&quot;$(InputDir)randlib.lib&quot; 1&gt;NUL 2&gt;NUL&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="f2c rule"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				TargetEnvironment="3"
			/>
			<Tool
				Name="VCCLCompilerTool"
				WholeProgramOptimization="false"
				AdditionalIncludeDirectories="../../../../libs/f2c"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;RANDLIB_F2C_EXPORTS;FORDLL"
				RuntimeLibrary="2"
				EnableEnhancedInstructionSet="1"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
				Description="Build randlib_f.def"
				CommandLine="cd $(IntDir)&#x0D;&#x0A;for %%f in (*.obj) do  ..\..\..\..\..\bin\dumpexts -o %%~nf.def -n randlib_f.dll %%f &gt;nul&#x0D;&#x0A;copy *.def randlib_f.def &gt;nul&#x0D;&#x0A;copy randlib_f.def ..\randlib_f.vcdef &gt;nul&#x0D;&#x0A;del *.def &gt;nul&#x0D;&#x0A;cd ..&#x0D;&#x0A;copy randlib_f_header.def+randlib_f.vcdef randlib_f.def &gt;nul&#x0D;&#x0A;"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="Libscilab.lib randlib.lib"
				OutputFile="$(SolutionDir)bin\randlib_f.dll"
				LinkIncremental="1"
				ModuleDefinitionFile="randlib_f.def"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				LinkTimeCodeGeneration="0"
				RandomizedBaseAddress="1"
				DataExecutionPrevention="0"
				TargetMachine="17"
				CLRUnmanagedCodeCheck="true"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
			>
			<File
				RelativePath=".\genchi.c"
				>
			</File>
			<File
				RelativePath=".\genexp.c"
				>
			</File>
			<File
				RelativePath=".\genf.c"
				>
			</File>
			<File
				RelativePath=".\gengam.c"
				>
			</File>
			<File
				RelativePath=".\genmn.c"
				>
			</File>
			<File
				RelativePath=".\genmul.c"
				>
			</File>
			<File
				RelativePath=".\gennch.c"
				>
			</File>
			<File
				RelativePath=".\gennf.c"
				>
			</File>
			<File
				RelativePath=".\gennor.c"
				>
			</File>
			<File
				RelativePath=".\genprm.c"
				>
			</File>
			<File
				RelativePath=".\genunf.c"
				>
			</File>
			<File
				RelativePath=".\ignnbn.c"
				>
			</File>
			<File
				RelativePath=".\phrtsd.c"
				>
			</File>
			<File
				RelativePath=".\setgmn.c"
				>
			</File>
			<File
				RelativePath=".\snorm.c"
				>
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hm;inl;inc;xsd"
			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
			>
		</Filter>
		<Filter
			Name="Resource Files"
			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
			>
		</Filter>
		<Filter
			Name="Fortran files"
			>
			<File
				RelativePath=".\genchi.f"
				>
			</File>
			<File
				RelativePath=".\genexp.f"
				>
			</File>
			<File
				RelativePath=".\genf.f"
				>
			</File>
			<File
				RelativePath=".\gengam.f"
				>
			</File>
			<File
				RelativePath=".\genmn.f"
				>
			</File>
			<File
				RelativePath=".\genmul.f"
				>
			</File>
			<File
				RelativePath=".\gennch.f"
				>
			</File>
			<File
				RelativePath=".\gennf.f"
				>
			</File>
			<File
				RelativePath=".\gennor.f"
				>
			</File>
			<File
				RelativePath=".\genprm.f"
				>
			</File>
			<File
				RelativePath=".\genunf.f"
				>
			</File>
			<File
				RelativePath=".\ignnbn.f"
				>
			</File>
			<File
				RelativePath=".\phrtsd.f"
				>
			</File>
			<File
				RelativePath=".\setgmn.f"
				>
			</File>
			<File
				RelativePath=".\snorm.f"
				>
			</File>
		</Filter>
		<File
			RelativePath="..\..\..\..\bin\blasplus.lib"
			>
		</File>
		<File
			RelativePath="..\..\..\..\bin\libf2c.lib"
			>
		</File>
		<File
			RelativePath="..\..\Makefile.am"
			>
		</File>
		<File
			RelativePath="..\..\sci_gateway\randlib_gateway.xml"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
